UbuntuUpdates.org

Package "json-c"

Name: json-c

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • JSON manipulation library - development files
  • JSON manipulation library - documentation files
  • JSON manipulation library - shared library

Latest version: 0.13.1+dfsg-4ubuntu0.3
Release: eoan (19.10)
Level: updates
Repository: main

Links



Other versions of "json-c" in Eoan

Repository Area Version
base main 0.13.1+dfsg-4
security main 0.13.1+dfsg-4ubuntu0.3

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 0.13.1+dfsg-4ubuntu0.3 2020-05-28 14:08:02 UTC

  json-c (0.13.1+dfsg-4ubuntu0.3) eoan-security; urgency=medium

  * SECURITY UPDATE: Integer overflows
    - debian/patches/CVE-2020-12762-*.patch: fix a series of
      integer overflows adding checks in linkhash.c, printbuf.c, test4.c
      test4.expected, also adds the fix for the INT_MAX regression caused in update
      0.11-4ubuntu2.1.
    - CVE-2020-12762

 -- <email address hidden> (Leonidas S. Barbosa) Mon, 25 May 2020 13:58:29 -0300

Source diff to previous version
CVE-2020-12762 json-c through 0.14 has an integer overflow and out-of-bounds write via a large JSON file, as demonstrated by printbuf_memappend.

Version: 0.13.1+dfsg-4ubuntu0.2 2020-05-15 14:06:34 UTC

  json-c (0.13.1+dfsg-4ubuntu0.2) eoan-security; urgency=medium

  * Revert the security fixes and rebuild the old version (LP: #1878723)

 -- Chris Coulson <email address hidden> Fri, 15 May 2020 12:33:18 +0100

Source diff to previous version
1878723 Kernel panic when used with upstart after 0.11-4ubuntu2.1 update

Version: 0.13.1+dfsg-4ubuntu0.1 2020-05-14 21:07:13 UTC

  json-c (0.13.1+dfsg-4ubuntu0.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Integer overflows
    - debian/patches/CVE-2020-12762-*.patch: fix a series of
      integer overflows adding checks in arraylist.c,
      linkhash.c, printbuf.c.
    - CVE-2020-12762

 -- <email address hidden> (Leonidas S. Barbosa) Mon, 11 May 2020 15:40:58 -0300

CVE-2020-12762 json-c through 0.14 has an integer overflow and out-of-bounds write via a large JSON file, as demonstrated by printbuf_memappend.



About   -   Send Feedback to @ubuntu_updates